Package: groovy.org.codenarc.report

## [Groovy] Interface ReportWriter

- Represents the interface of an object that can write out a report

  Authors:
    Chris Mair

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `writeReport(AnalysisContext analysisContext, Results results)` Write out a report for the specified analysis results

- - ### Method Detail

    - #### void writeReport(AnalysisContext analysisContext, Results results)

      Write out a report for the specified analysis results

      Parameters:
        `analysisContext` - - the AnalysisContext containing the analysis configuration information
        `results` - - the analysis results